# Get All Partners

The operation fetches all partners (merchants and knownshippers) associated to a developer.

Endpoint: GET /api/v1/partners
Version: 1.0.0
Security: bearerAuth

## Query parameters:

  - `type` (string)

  - `status` (string)

## Response 200 fields (application/json):

  - `data` (array)
    List of merchant/known-shipper records.

  - `data.shipperId` (string)
    ShipperId  of the known shipper. This returns in the response only if the partner is Know Shipper.
    Example: 2000099528

  - `data.subId` (string)
    For Individual Merchants it is merchant's subscription ID. This returns in the response only if the partner is Individual Merchant.

  - `data.type` (string)
    Record type (merchant vs. known-shipper).
    Enum: "Individual Merchant", "Known Shipper"

  - `data.archive` (boolean)
    Indicates if the record is archived.
    Example: true

  - `data.status` (string)
    Current status of the merchant/known shipper. Status `SUSPENDED` is when partner is deleted from UI and `TERMINATED` when partner is deleted via API.
    Enum: "ACTIVE", "SUSPENDED", "TERMINATED"

  - `data.insertTimestamp` (string)
    Creation timestamp for this association.
    Example: 2025-10-09T14:18:17.9Z

  - `data.updateTimestamp` (string)
    Last update timestamp for this association.
    Example: 2025-10-09T14:18:30.142Z

  - `data.developerId` (string)
    Developer/partner identifier that owns this association.
    Example: sa535e3

  - `data.email` (string)
    Contact email for the merchant/known shipper.
    Example: abcd_1@yopmail.com

  - `data.name` (string)
    Display name for the merchant/known shipper.
    Example: Known Merchant1

  - `data.countryCode` (string)
    Two-letter ISO 3166-1 alpha-2 country code.
    Example: US

  - `pageInfo` (object)
    Pagination summary for the result set.

  - `pageInfo.totalCount` (integer)
    Total number of records matching the query.
    Example: 3

  - `pageInfo.startCount` (integer)
    1-based index of the first record returned in this page.
    Example: 1

  - `pageInfo.limit` (integer)
    Maximum number of records requested per page.
    Example: 10

## Response 400 fields (application/json):

  - `errors` (array)
    List of errors.

  - `errors.errorCode` (string)
    This error can be validation_error or internal_error or not_found or already_exists
    Example: validation_error

  - `errors.errorDescription` (string)
    The HTTP 400 Bad Request response status code indicates that the server cannot process the request due to something that is perceived to be a client error (e.g., malformed request syntax, invalid request message framing, or deceptive request routing).
    Example: Custom Product not found

## Response 401 fields (application/json):

  - `message` (string, required)
    This is HTTP 401 Unauthorized response status code, that indicates that the client request has not been completed because it lacks valid authentication credentials for the requested resource.

